> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer un lot

> Renvoie un lot par son identifiant.

Renvoie un lot par son identifiant.

```json Réponse theme={null}
{
  "lotsByPk": {
    "id": 44,
    "lot": "LOT-2026-0044",
    "available": 120,
    "total": 150,
    "article": {
      "code": "CAM-PEEK",
      "name": "Came PEEK"
    },
    "location": {
      "id": 2,
      "name": "Zone A"
    }
  }
}
```


## OpenAPI

````yaml openapi.json GET /stock/lots/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /stock/lots/{id}:
    get:
      summary: Retrieve a lot
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  lotsByPk:
                    nullable: true
                    properties:
                      article:
                        description: >-
                          Articles with physical reality (= manage-able in
                          stock). This table includes all article types (raw
                          materials, semi-finished, finished products,
                          consumables, etc.)
                        nullable: false
                        properties:
                          code:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                          unit:
                            nullable: true
                            type: string
                        type: object
                      available:
                        $ref: '#/components/schemas/numeric'
                      expiryDate:
                        $ref: '#/components/schemas/date'
                      id:
                        nullable: false
                        type: integer
                      location:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      lot:
                        nullable: false
                        type: string
                      total:
                        $ref: '#/components/schemas/numeric'
                    type: object
          description: Response
components:
  schemas:
    numeric:
      nullable: false
    date:
      nullable: false

````